<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Cloud](./bitburner.cloud.md) &gt; [renameServer](./bitburner.cloud.renameserver.md)

## Cloud.renameServer() method

Rename a cloud server.

**Signature:**

```typescript
renameServer(hostname: string, newName: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

hostname


</td><td>

string


</td><td>

Current cloud server hostname.


</td></tr>
<tr><td>

newName


</td><td>

string


</td><td>

New cloud server hostname.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if successful, and false otherwise.

## Remarks

RAM cost: 0 GB

